Summary:	Basic requirement for icon themes
Name:		hicolor-icon-theme
Version:	0.18
Release:	%mkrel 2
License:	GPLv2
Group:		Graphical desktop/Other
URL:		https://www.freedesktop.org/wiki/Software/icon-theme/
Source0:	https://icon-theme.freedesktop.org/releases/%{name}-%{version}.tar.xz
# Mageia patches
Patch501:	0501-Add-support-for-12x12-and-12x12-2-icons.patch
Patch502:	0502-Add-support-for-8x8-and-8x8-2-icons.patch
Patch503:	0503-Add-support-for-1024x1024-and-1024x1024-2-icons.patch
Patch1001:	1001-Create-directories-for-some-non-standard-icon-sizes-.patch
Patch1002:	1002-Add-support-for-some-non-standard-icons-sizes-we-shi.patch
BuildArch:	noarch
BuildRequires:	meson
BuildRequires:	git-core

%description
Contains the basic directories and files needed for icon theme support.

%prep
%autosetup -p1 -Sgit_am

%build
%meson
%meson_build

%install
%meson_install

touch %{buildroot}%{_iconsdir}/hicolor/icon-theme.cache

# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  %{_iconsdir}/hicolor/
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --force --quiet %{_iconsdir}/hicolor
fi

%transfiletriggerpostun --  %{_iconsdir}/hicolor/
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --force --quiet %{_iconsdir}/hicolor
fi

%files
%doc README.md NEWS
%license COPYING
%dir %{_iconsdir}/hicolor/
%{_iconsdir}/hicolor/index.theme
%{_iconsdir}/hicolor/*/
%ghost %{_iconsdir}/hicolor/icon-theme.cache
%{_datadir}/pkgconfig/default-icon-theme.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.18-2.mga10
+ Revision: 2224329
- Mageia 10 Mass Rebuild

* Fri Jun 07 2024 daviddavid <daviddavid> 0.18-1.mga10
+ Revision: 2070502
- new version: 0.18
- switch to meson build system
- rediff P0501, P0502, P0503 and P1001 to adapt to meson

* Sun Jan 29 2023 wally <wally> 0.17-6.mga9
+ Revision: 1936861
- add support for some non-standard icon sizes we ship

* Sun Jan 29 2023 wally <wally> 0.17-5.mga9
+ Revision: 1936841
- add upstream patch to create and ship HiDPI directories
- add %%transfiletriggerpostun scriptlet to update icon cache after file removals

* Sun Mar 20 2022 umeabot <umeabot> 0.17-4.mga9
+ Revision: 1807894
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.17-3.mga8
+ Revision: 1501561
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 umeabot <umeabot> 0.17-2.mga7
+ Revision: 1278661
- Mageia 7 Mass Rebuild

* Tue Sep 26 2017 wally <wally> 0.17-1.mga7
+ Revision: 1160072
- new version 0.17
- drop P0 from Debian as unneeded (as they did it also)

* Fri Feb 19 2016 umeabot <umeabot> 0.15-3.mga6
+ Revision: 969629
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 tv <tv> 0.15-2.mga6
+ Revision: 873158
- switch to new upstream file trigger syntax

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.15-1.mga6
+ Revision: 837168
- 0.15

* Mon Feb 16 2015 wally <wally> 0.14-1.mga5
+ Revision: 815129
- new version 0.14

* Wed Oct 15 2014 umeabot <umeabot> 0.13-3.mga5
+ Revision: 743667
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.13-2.mga5
+ Revision: 680146
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 wally <wally> 0.13-1.mga5
+ Revision: 581917
- new version 0.13
- add 'don't scale 22x22 apps icons for hicolor' patch from Debian
- update license tag

* Fri Oct 18 2013 umeabot <umeabot> 0.12-5.mga4
+ Revision: 508544
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 pterjan <pterjan> 0.12-4.mga3
+ Revision: 361678
- Drop post/postun which are now empty
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dams <dams>
- clean specfile

* Sat Jan 15 2011 blino <blino> 0.12-3.mga1
+ Revision: 19180
- remove old conflicts from a future epoch
- imported package hicolor-icon-theme


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.12-2mdv2011.0
+ Revision: 605858
- rebuild

* Mon Jan 18 2010 Götz Waschk <waschk@mandriva.org> 0.12-1mdv2010.1
+ Revision: 492990
- update to new version 0.12

* Sat Sep 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.11-1mdv2010.0
+ Revision: 449587
- update to new version 0.11

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.10-6mdv2010.0
+ Revision: 425147
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.10-5mdv2009.1
+ Revision: 351234
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.10-4mdv2009.0
+ Revision: 264654
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Pixel <pixel@mandriva.com> 0.10-3mdv2009.0
+ Revision: 217431
- add rpm filetrigger running gtk-update-icon-cache when rpm install/remove hicolor icons

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.10-2mdv2008.1
+ Revision: 150256
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jun 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10-1mdv2008.0
+ Revision: 40463
- correct url
- spec file clean


* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10-1mdv2007.0
+ Revision: 102365
- Release 0.10
  Remove patch0, no longer needed with latest gnome-icon-theme
- Import hicolor-icon-theme

* Sat Sep 02 2006 Götz Waschk <waschk@mandriva.org> 0.9-1mdv2007.0
- rebuild for new clean_icon_cache macro

* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 0.9-4mdv2007.0
- fix uninstallation

* Mon Mar 06 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9-3mdk
- Update patch0 with document stock icons (Mdk bug #21466)

* Fri Mar 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9-2mdk
- Patch0: add missing generic stock icon (Mdk bug #21426)
- Update gtk icon cache on install/upgrade, if gtk-update-icon-cache is present

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 0.9-1mdk
- New release 0.9
- use mkrel

* Wed Apr 27 2005 Götz Waschk <waschk@mandriva.org> 0.8-1mdk
- New release 0.8

* Fri Feb 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- New release 0.7

* Wed Feb 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk 
- Release 0.6

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com>  0.4-1mdk
- Initial Mandrakelinux package, based on Fedora package

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 04 2004 Alexander Larsson <alexl@redhat.com> 0.3-1
- update to 0.3

* Fri Jan 16 2004 Alexander Larsson <alexl@redhat.com> 0.2-1
- Initial build.

